Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » The class was compiled with an unsupported JDK.
The class was compiled with an unsupported JDK. [message #1848245] Thu, 25 November 2021 21:48 Go to next message
Alessandro Pindozzi is currently offline Alessandro PindozziFriend
Messages: 1
Registered: November 2021
Junior Member
I created an ebb project, and connected it to a DB (MYSQL), then form the database I created the JPA entities in the project, and now I'm trying to create a method in order to add a new row to one of the tables in the database, but I faced this issue:
[EL Severe]: metadata: 2021-11-25 22:40:03.257--ServerSession(1920467934)--The entities.Costumer class was compiled with an unsupported JDK. Report this error to the EclipseLink open source project.
java.lang.IllegalArgumentException: Unsupported class file major version 60
[EL Severe]: metadata: 2021-11-25 22:40:03.267--ServerSession(1920467934)--The entities.Costumer class was compiled with an unsupported JDK. Report this error to the EclipseLink open source project.
java.lang.ArrayIndexOutOfBoundsException: Index 8 out of bounds for length 0


Can someone help me to solve?
Re: The class was compiled with an unsupported JDK. [message #1848272 is a reply to message #1848245] Fri, 26 November 2021 09:57 Go to previous message
Radek Felcman is currently offline Radek FelcmanFriend
Messages: 9
Registered: March 2021
Junior Member
It seems, that Your project (Entities) was compiled by higher version of Java (JDK 16?) than is supported by EclipseLink, JEE server.
Previous Topic:XMLAdapter for list not working
Next Topic:EclipseLink 2.7.x OneToMany relation and composite id
Goto Forum:
  


Current Time: Sun Oct 02 00:34:23 GMT 2022

Powered by FUDForum. Page generated in 0.02524 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top